Bug 202986 - [RFE] Association between systems in the system list and their subscription contract
[RFE] Association between systems in the system list and their subscription c...
Status: NEW
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn521
All Linux
medium Severity medium
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Network Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 13:21 EDT by Alex Wood
Modified: 2010-10-06 10:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Wood 2006-08-17 13:21:20 EDT
This message came in on the web feedback.  I thought I'd submit it on behalf of
the requestor.  His comments are pasted in below.

------
In regard to the RHN system list:

I and my fellow sysadmins have found it
extremely irksome that there is no way
of making an explicit association
between one or more particular
system(s) in the system list and the
subscription contracts that they depend
on.

It's very frustrating to have renewed
a contract for one of the more critical
systems we manage, only to find out
that it has had it's subscription
"stolen" out from underneath it by
some less important system, simply
because that other system did an
up2date first. That is really pretty
crummy behavior. Please PLEASE fix
that.

All you need is some way of
forcing an explicit connection between
a system and the contract enabling it,
thus preventing any of the other
systems from grabbing that entitlement.

It would also make it a LOT easier to
keep track of contract expirations.

PLEASE consider doing this. This is
the one really annoying and frustrating
thing we have to deal with with the
RHN system entitlements. It's cause for
a great deal of grumbling and cursing
at least once every other month around
here as our various contracts expire
(and especially if we forget or are a
bit late renewing).
Comment 1 David Tonhofer 2006-12-26 12:05:05 EST
I second the motion with four thumbs up. I'm about to go postal over this.
Explicit contract management is the way to go. Activition should not be more
than ___these three manual steps____

1) Buy a license key

2) Activate license key (at an easy-to-find place too, pretty pretty please,
   like a prominent place in the RHN site, NOT somewhere on www.redhat.com)

   Activation feeds a pool of contract numbers. You MUST be able to examine the 
   association "license-key <--> contract number". And see the date of 
   "license key entry".

3) Assign a contract from the pool to a system. You MUST be able to examine the 
   association "license-key <--> contract number <--> system". And see the
   date of "license key entry", "contract assignment", "contract expiration".

The current RHN is a management mess, sorry to say so. I can't even check
whether what the RHN says is correct; it definitely is inconsistent with my
notes I took separately. How do I explain this to bossman?
Comment 2 Red Hat Bugzilla 2007-04-11 21:07:00 EDT
User bnackash@redhat.com's account has been closed

Note You need to log in before you can comment on or make changes to this bug.